=== debian/changelog ===
ddskk (16.3-1) unstable; urgency=medium

  * New upstream version 16.3
  * Update debian/docs to install *.rst instead of skk.org
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 12
  * Update debian/watch
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 10 Feb 2020 22:19:33 +0900
