=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ddskk

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp

	$(MAKE) clean

	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -R *.el *.in SKK-* maint nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
	cp -f experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)

	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/Makefile
	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/.cvsignore
	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/*.bat
	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/README* \
	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/
	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi

	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el

	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
	cp doc/skk.info* debian/$(PACKAGE)/usr/share/info

	dh_install bayesian/bskk usr/bin

binary-indep: install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
