=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/ddskk-(\d[^_]+).*\.tar\.gz/ddskk-$1\.tar\.gz/ \
https://github.com/skk-dev/ddskk/releases .*/ddskk-(\d[^_]+).*\.tar\.gz
