=== debian/changelog ===
ddskk (17.1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster

  [ Tatsuya Kinoshita ]
  * New patch 070_context-skk.patch for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 17 Feb 2022 23:52:22 +0900

ddskk (17.1-7) unstable; urgency=medium

  * Update Info handling to use makeinfo
  * New patch 060_bayesian.patch to remove unneeded require
  * Disable key binding for skk-tutorial to use tab bars
  * Update README.Debian for skk-tutorial

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Aug 2021 22:56:04 +0900

ddskk (17.1-6) experimental; urgency=medium

  * Don't byte-compile skk-bayesian.el to avoid hang during installation
    (closes: #987383)
  * Certainly remove doc/skk.info when the clean target

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 24 Apr 2021 14:45:39 +0900

ddskk (17.1-5) experimental; urgency=medium

  * New patch 050_facemenu.patch for ccc on Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Apr 2021 20:14:43 +0900

ddskk (17.1-4) unstable; urgency=medium

  * New patch 030_skk-wrap.patch for org-mode and markdown-mode
  * New patch 040_skk-azik.patch to remove tU/tsU entries
  * Update example for SKK-JISYO.pinyin in README.Debian
  * Update debian/copyright
  * Add quick start guide to README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Jan 2021 21:30:01 +0900

ddskk (17.1-3) unstable; urgency=medium

  * Define skk-toggle-kana in emacsen-startup
  * Remove XEmacs's data-directory-list handling from emacsen-startup
  * Remove skkdic from Recommends
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2020 12:40:09 +0900

ddskk (17.1-2) unstable; urgency=medium

  * New patch 020_indicator.patch to fix incorrect skk-indicator-alist

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 25 Aug 2020 20:32:34 +0900

ddskk (17.1-1) unstable; urgency=medium

  * New upstream version 17.1
  * Add debian/upstream/metadata
  * Drop emacs23 and xemacs21
  * Update short description
  * Update debian/watch
  * Update debhelper-compat to 13
  * Update debian/copyright
  * Don't install experimental/dbm/*
  * Don't install etc/Emacs.ad
  * New patch 010_cursor-off.patch to not fail on startup

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 16 Aug 2020 12:38:36 +0900

ddskk (16.3-2) unstable; urgency=medium

  * Update sample configuration for UTF-8 dictionary files
  * Don't install broken skk-exsearch and skk-exserv
  * Update Upstream-Contact to skk-dev

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 24 Mar 2020 22:30:17 +0900
