=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: texinfo
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: https://github.com/skk-dev/ddskk
@@ -12,13 +12,13 @@
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: skkdic-cdb | dbskkd-cdb | skkserv | skkdic
+Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, ${misc:Depends}
+Recommends: skkdic-cdb | dbskkd-cdb | skkserv
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
 Replaces: skk
-Description: efficient Japanese input system for emacsen
+Description: efficient and characteristic Japanese input system for Emacs
  Daredevil SKK (DDSKK) is a fast and efficient Japanese input system
  written in Emacs Lisp.
  .
