=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
+	cd doc && makeinfo skk.texi
 	touch $@
 
 build-arch:
@@ -21,6 +21,7 @@
 	rm -f build*-stamp
 
 	$(MAKE) clean
+	rm -f doc/skk.info*
 
 	dh_clean
 
@@ -31,7 +32,9 @@
 	dh_installdirs
 
 	cp -R *.el *.in SKK-* maint nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
-	cp -f experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
+	perl -pwi -e 's/skk-bayesian/;;skk-bayesian/' debian/$(PACKAGE)/usr/share/$(PACKAGE)/SKK-MK
+	perl -pwi -e 's/(\(global-set-key "\\C-xt")/;;$$1/' debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-setup.el.in
+	cp -f experimental/*.el debian/$(PACKAGE)/usr/share/$(PACKAGE)
 
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/Makefile
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/nicola/.cvsignore
@@ -41,7 +44,7 @@
 	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi
 
 	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
-	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exsearch.el
+	rm -f debian/$(PACKAGE)/usr/share/$(PACKAGE)/skk-exserv.el
 
 	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
 	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
