=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*/)?(?:ddskk-)?v?(\d[\d.]*)[^/]*\.tar\.gz%ddskk-$1.tar.gz%" \
https://github.com/skk-dev/ddskk/tags \
(?:.*/)?(?:ddskk-)?v?(\d[\d.]*)[^/]*\.tar\.gz debian uupdate
