=== debian/changelog ===
ddskk (17.1+0.20221030-2) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 23:09:32 +0900

ddskk (17.1+0.20221030-1) unstable; urgency=medium

  * New upstream version 17.1+0.20221030
  * Drop debian/patches
  * Relax dependencies on emacs flavors
  * Update debian/copyright
  * Update Standards-Version to 4.6.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Dec 2022 22:57:30 +0900

ddskk (17.1-10) unstable; urgency=medium

  * Show a compilation error log
  * New patch 080_init-value.patch to fix deprecated params
  * Avoid obsolete inactivate-input-method in README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 10 Dec 2022 08:19:35 +0900

ddskk (17.1-9) unstable; urgency=medium

  * Prevent native compilation in emacsen-install (closes: #1020525)
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.1
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 07 Nov 2022 01:10:34 +0900
