=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: https://github.com/skk-dev/ddskk
@@ -12,8 +12,8 @@
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, ${misc:Depends}
-Recommends: skkdic-cdb | dbskkd-cdb | skkserv
+Depends: emacsen-common, ${misc:Depends}
+Recommends: emacs-nox | emacs, skkdic-cdb | dbskkd-cdb | skkserv
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
